lista = ["primo elemento", "un secondo elemento", "altro elemento"]
print(type(lista)) #tipo lista
print(lista[0]) #accedi alla posizione 0 della lista
print(lista[0:2]) #slicing della lista da 0 a 2 (2 escluso)
print(len(lista)) #numero di elementi nella lista
lista[0]="primo elemento modificato" #sosituiamo l'elemento in posizione 0
print(lista)

lista.append(7) #inserisco un elemento alla fine della lista
lista.insert(0,1) #inserisco l'elemento 1 nella posizione 0
lista.insert(2, "nuovo elemento inserito")
print(lista)
lista.pop(2) #rimuovo l'elemento in posizione 2
print(lista)
lista.append("nuovo elemento")
lista.remove("nuovo elemento") #rimuove l'elemento indicato, ovvero l'elemento "nuovo elemento"
print(lista)

lista2=[[1,1],[2,2,2,2,2,2,2],[3,3],["primo elemento", "secondo elemento"] ]
for sottolista in lista2:
    for indice in range(0,len(sottolista)):
        print(indice)
    print("fine sottolista")

esami = ["linguistica", "programmazione", "Venuti"]
for elemento in esami:
    print(elemento)
#enumerate
for pos,elemento in enumerate(esami):
    print(pos,elemento,)
#range
for pos in range(0, len(esami)):
    print(pos)

#svuota lista
esami.clear()
print(esami)

#elimino la variabile
del esami
#ATTENZIONE
#print(esami)
